Subject: RE: [mobile-ip] Mobile IPv6 draft revision

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Mon, 24 Sep 2001 09:20:16 +0200

Hello Charlie, 

> > > - The Binding Acknowledgement is to be sent to the Mobile Node
> > >   at the address in the Source IP address field of the Binding Update.
> >
> > This packet should be sent to care-of address, right? Not necessarily the source
> > address of the incoming BU. Care-of address would be different than the source
> > address of BU if there's a alternate care-of address option.
> 
> I thought the purpose of using the alternate care-of address
> was to deregister a care-of address at which the mobile node
> no longer had connectivity.  If this is true, then it makes more
> sense to use the source address of the packet containing the
> Binding Update, I think.
> 
	=> I beleive that the purpose of using the alt-CoA suboption is 
	to allow the MN to send a BU from one CoA but request that
	packets are sent to another. The particular situation where this
	is applicable will vary. One reason is the example you mention 
	above but there are others. HMIPv6 uses it in a different way. 
	So I just wanted to make sure that we don't decide on a certain
	usage of the alt-CoA based on the example above only. 

	Regs,
	Hesham

---

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 24 Sep 2001 09:37:25 -0700

>         usage of the alt-CoA based on the example above only.

In my paragraph, I "SHOULD" have been more explicit that my statement
was made in the context of the deregistration discussion.  There are
other uses when the Binding Update is not deregistering a care-of address.
I hope you'll let me know if anything goes wrong.

Regards,
Charlie P.